Node.jsのモジュール「ssh2」に重大な脆弱性。Webサイトへの影響と対策を解説します(CVE-2020-26301)

こんにちは。「SiteCloud」プリセールスの高瀬です。

2022年8月にNode.jsのモジュール「ssh2」について重大な脆弱性(CVE-2022-29078)がJVNDBに掲載されました。

https://jvndb.jvn.jp/ja/contents/2020/JVNDB-2020-017248.html

CVSS v3 による深刻度は最高点の10となっており、該当モジュールを利用している場合は注意が必要です。

脆弱性の対象となるバージョン

ssh2はNode.js向けのSSH クライアント・サーバーモジュールです。影響を受けるバージョンはssh2 1.4.0 未満となります。

脆弱性の対策

対策としては該当モジュールを1.4.0以上のバージョンにアップデートする形になります。

https://www.npmjs.com/package/ssh2

Webサイトへの影響について

、アメリカ国立標準技術研究所の脆弱性データベースではWindows サーバーでNode.jsのモジュール「ssh2」を利用している場合、クライアントモジュールの中で脆弱なメソッドを呼び出した場合、リモートでコードが実行される可能性がある、と発表されています。

https://nvd.nist.gov/vuln/detail/CVE-2020-26301

そのため、該当モジュールを利用している場合はアップデートを検討する必要があります。

さいごに

弊社ではお客様サーバーのご利用状況に応じて、エンジニアが日々発表される脆弱性の影響有無を確認して、必要に応じて修正パッケージの適用を行なっております。

サイト制作、運用が多忙でサーバーソフトの脆弱性対策を行うことが難しい場合はぜひご相談くださいませ。

コーポレートサイトをクラウドでセキュアに

SiteCloudガイドブック

「SiteCloud」の詳しい内容が分かる資料をご用意しました。
  • コーポレートサイト構築・運用の課題を解決
  • SiteCloudの主な機能
  • 導入事例
  • 導入までの流れ

関連する解決策

最新記事

タグ

詳しい資料をご覧いただけます

    サイバーの鎧のサービス内容を記載した資料をダウンロードできます。
             

【無料診断実施中】サーバーセキュリティ診断

経験豊富なセキュリティ専門技術者が、サーバーの状況を診断して、分かりやすい診断結果と今後の対応策をご覧いただけます。

無料サーバー診断申し込み
close